var tmpl=`
<div style="padding:20px" v-if="datasrc.length>0">
  <slot name="header"></slot>
  <div style="width:100%;border:1px solid #eee"></div>
  <el-row  :gutter="20">
     <div></div>
     <el-col  :xs="span" :sm="span" :md="span" :lg="span" :xl="span" v-for="item in datasrc">
       <el-card shadow="hover" class="box-card" style="min-height:300px;border-radius:0px">
        <div><img style="max-height:200px;width:100%" :src="item.workPic"/><div>
        <div><h5 style="text-align:left">电话：{{item.mobile}}</h5><div>
        <div><h5 style="text-align:left">咨询:<i class="el-icon-more-outline"></i></h5></div>
        <div><h5 style="text-align:left">状态:<i class="el-icon-more-outline"></i></h5></div>
       </el-card>
     </el-col>
  </el-row>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['tagcode','xpan'],
   data:function(){
     return {
       tagcode:this.tagcode,
       span:this.xspan?Number(this.xspan):6,
       datasrc:[],
     }
   },
   mounted:function(){
      this.fetchPartnerinfo();
   },
   methods:{
     fetchPartnerinfo:function(){
       var q={};
       q.pageInfo={pageSize:20,pageNo:1};
       q.search={};
       q.extra=this.tagcode;
       this.$root.postReq("/web/partnerinfoCtl/findAndCountAll",q).then(d=>{
           d.data.rows.forEach(r=>{
             this.datasrc.push(r);
           });
       });
     },
   },
   vname:"gsb-partnerlayout"
}`
